Livepush Developers

Destinations

Disable stream destination

PUT https://octopus.livepush.io/streams/{stream_id}/destinations/{destination_id}/disable

Base URL https://octopus.livepush.io — Core Streams & Media APIs

Disables an active destination for the specified live stream.

When disabled, the destination will no longer receive the live stream until it is re-enabled.

Authorization

Send a valid access token in the Authorization header.

  • bearerAuth — Bearer token (JWT)
headers.txt
Authorization: Bearer YOUR_API_TOKEN

Try it

PUT https://octopus.livepush.io/streams/{stream_id}/destinations/{destination_id}/disable — This call changes live data on your account.

Parameters

Path parameters

  • stream_id string required
    Unique identifier of the live stream
  • destination_id string required
    Unique identifier of the stream destination

Code samples

request.sh
curl -X PUT 'https://octopus.livepush.io/streams/<stream_id>/destinations/<destination_id>/disable' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://octopus.livepush.io/streams/<stream_id>/destinations/<destination_id>/disable', {
  method: 'PUT',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
  },
});

if (!response.ok) {
  throw new Error(`Livepush API error ${response.status}`);
}

const data = await response.json();
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN',
}

response = requests.put('https://octopus.livepush.io/streams/<stream_id>/destinations/<destination_id>/disable', headers=headers, timeout=30)
response.raise_for_status()
data = response.json()

Responses

Stream destination disabled successfully

application/json

  • success boolean
Example 200 response response.json
{
  "success": true
}

Unauthorized

Stream or destination not found